extends Control

class_name SpeechPanel

export var text_path : NodePath
var text : SpeechText

export var choices_path : NodePath
var choices : ChoicesBox

func _enter_tree():
	Controller.speech_panel = self
	text = get_node(text_path)
	choices = get_node(choices_path)

func _ready():
	Controller.speech_panel = self
	text = get_node(text_path)
	choices = get_node(choices_path)
	hide()
